# Capo properties for the Docker-provided services
metadataDatabase.jdbcDriver   = org.postgresql.Driver
metadataDatabase.jdbcUrl      = jdbc:postgresql://db/archive
metadataDatabase.jdbcUsername = archive
metadataDatabase.jdbcPassword = docker

edu.nrao.archive.configuration.AmqpServer.hostname = amqp
edu.nrao.archive.configuration.AmqpServer.username = guest
edu.nrao.archive.configuration.AmqpServer.password = guest
edu.nrao.archive.configuration.AmqpServer.port     = 5672

#
# Workspaces settings
#
edu.nrao.archive.workspaces.CapabilitySettings.serviceUrl = http://capability:3457
edu.nrao.archive.workspaces.WorkflowSettings.serviceUrl = http://workflow:3456

#
# Data fetcher settings
#

edu.nrao.archive.workflow.config.DataFetcherSettings.ramInGb = 16
edu.nrao.archive.workflow.config.DataFetcherSettings.clusterTimeout = 01:00:00:00
edu.nrao.archive.datafetcher.DataFetcherSettings.locatorServiceUrlPrefix = https://webtest.aoc.nrao.edu/archiveServices/location?locator
edu.nrao.archive.datafetcher.DataFetcherSettings.defaultThreadsPerHost = 4
edu.nrao.archive.datafetcher.DataFetcherSettings.executionSite = local_test
edu.nrao.archive.datafetcher.DataFetcherSettings.downloadDirectory=/tmp/
edu.nrao.archive.workflow.config.RequestHandlerSettings.downloadDirectory=/tmp/